%define libname libqtvision1
%define fname kwintv3

Summary: 		KwinTV - KDE Video4Linux Stream Capture Viewer
Name: 			kwintv
Version: 		0.1
Release: 		0.alpha1.6mdk
Source: 		%fname.tar.bz2
Group: 			Video
License: 		GPL
URL: 			http://www.kwintv.org/
BuildRoot: 		%_tmppath/%fname-%version.root
BuildRequires: 		kdelibs-devel, libqt3-devel, arts, libjpeg-devel, libpng-devel kdebase-devel
Buildrequires:		libarts-devel
Requires: 		arts, libjpeg, libpng, kdebase, %libname
# kdebase is required for dr. konqi
# arts is requires for mcop*
Prereq: /usr/sbin/chkfontpath

%description
KWinTV allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.


%package -n %libname
Summary:    QtVision libraries
Group:      System/Libraries
Epoch:      1
License:    LGPL
Requires:   %libname

%description -n %libname
These libraries provide TV support to KDE.


%package -n %{libname}-devel
Summary:    QtVision libraries
Group:      System/Libraries
Epoch:      1
License:    LGPL
Requires:   %libname = %version
Provides:	libqtvision-devel
Obsoletes:	libqtvision-devel

%description -n %{libname}-devel
These're the files needed to develop applications that use qtvision libraries.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %fname

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
            --mandir=%_mandir \
        --datadir=%_datadir \
        --disable-rpath \
        --disable-debug --libdir=%_libdir


%make

%install
%makeinstall  R="$RPM_BUILD_ROOT" SUID_ROOT="" 
#cp kwintv/fonts/led-fixed.pcf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir}/{large,mini},%{_menudir}}
cat > $RPM_BUILD_ROOT%{_menudir}/kwintv <<EOF
?package(kwintv): command="kwintv -r /dev/video0" icon="kwintv.png" section="Multimedia/Video" \
title="KWinTV" longtitle="The KDE Video4Linux Stream Capture Viewer" needs="x11"
EOF
#install -m 644  kwintv/kwintv/icons/kwintv_24x24.png $RPM_BUILD_ROOT%{_iconsdir}/kwintv.png
#install -m 644  kwintv/kwintv/icons/kwintv_16x16.png $RPM_BUILD_ROOT%{_miconsdir}/kwintv.png
#install -m 644  kwintv/kwintv/icons/kwintv_48x48.png $RPM_BUILD_ROOT%{_liconsdir}/kwintv.png
cd $RPM_BUILD_ROOT/%_bindir;ln -s qtvision kwintv

rm $RPM_BUILD_ROOT%_datadir/qtvision.desktop
rm $RPM_BUILD_ROOT%_datadir/services/qtvisionpart.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -f /usr/sbin/chkfontpath ] && /usr/sbin/chkfontpath -q -a %_prefix/X11R6/lib/X11/fonts/
cd /usr/X11R6/lib/X11/fonts/
mkfontdir
xset fp rehash || true
%update_menus


%postun
%clean_menus
if [ "$1" = "0" ]; then
    /usr/sbin/chkfontpath -q -r %_prefix/X11R6/lib/X11/fonts/
fi

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%_bindir/*

%_menudir/*

%_datadir/apps/kicker/applets/*.desktop
%_datadir/apps/kicker/extensions/*.desktop

%dir %_datadir/apps/qtvisionpart/
%_datadir/apps/qtvisionpart/*.rc

%dir %_datadir/apps/qtvision/
%_datadir/apps/qtvision/*.rc

%_datadir/*.xml

%dir %_datadir/services/qtvision/
%_datadir/services/qtvision/*.desktop

%dir %_datadir/servicetypes/qtvision/
%_datadir/servicetypes/qtvision/*.desktop

%_datadir/applnk/System/ScreenSavers/*.desktop

%dir %_datadir/apps/qtvision/
%dir %_datadir/apps/qtvision/icons/
%dir %_datadir/apps/qtvision/icons/hicolor/
%dir %_datadir/apps/qtvision/icons/hicolor/16x16/
%dir %_datadir/apps/qtvision/icons/hicolor/16x16/apps/
%_datadir/apps/qtvision/icons/hicolor/16x16/apps/*.png

%dir %_datadir/apps/qtvision/icons/hicolor/22x22/
%dir %_datadir/apps/qtvision/icons/hicolor/22x22/actions/
%_datadir/apps/qtvision/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/qtvision/icons/hicolor/22x22/apps/
%_datadir/apps/qtvision/icons/hicolor/22x22/apps/*.png

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so.*
%_libdir/kde3/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so
%_libdir/*.la
%_libdir/kde3/*.so
%_libdir/kde3/*.la


%changelog
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.alpha1.6mdk
- buildrequires

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.alpha1.5mdk
- rebuild

* Thu Jul 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-0.alpha1.4mdk
- "Full screen + TV mode now work" cvs snapshot, which obviously doesn't work
- libification
- lot of misc spec cleaning

* Mon Jul 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-0.alpha1.2mdk
- add kwintv links on qtvision so that menu entry, users, .. and the like
  still works

* Mon Jul 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-0.alpha1.2mdk
- fix url

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.alpha1.1mdk
- port to kde3.0

* Fri Mar 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-5mdk
- add "-r /dev/vide0" to kwintv command in menu entry since it defaults
  to /dev/video which is a directory with devfs

* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-4mdk
- get the real crash fix from the cvs (the authors sucked and has
  never released the 0.8.12 before switching to kde3 despite he
  bumped the release number)

* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-3mdk
- fix {Build,}Requires
- use gcc-2.96 as kde libs used it
- downgrade optimizations
- fix dr. konqui not found problem
- fix mcop* not found problem
- fix crash (laurent montel)

* Wed Mar 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-2mdk
- add some missing files

* Tue Feb 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.11-1mdk
- new release
- icons are png now
- disable rpath
- adapt spec file
- missing changelog entries for 0.8.[1-5] releases, never uploaded because 
  of fscking kde2 adaptation

* Tue Oct 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-2mdk
- Re-add dpms support
- Remove old patch

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Clean build against kde1-compat

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.99-1mdk
- new release
- fix build against KDE2
- fix build when no bttv device is present
- fix for build against XFree86-4
- fix group
- add menu entry and icons
- fix buildroot
- get rid of find in %%files
- fix %%post and %%preun scripts
- add some docs
- add missing icons
- remove ownership on system wide directories (%{_datadir} and the like)

* Thu Aug 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial SPEC file for Mandrake.
- Please test! I do not have such a device!!!
